Skip to main content
GET
/
custom-attributes
/
candidate
/
definitions
List candidate custom attribute definitions
curl --request GET \
  --url https://api.gospott.com/custom-attributes/candidate/definitions \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "definition": {
        "viewType": "customText"
      },
      "id": "<string>",
      "label": "<string>",
      "viewType": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "totalItems": 123,
    "page": 123,
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

page
number
default:0
Required range: 0 <= x <= 10000
pageSize
number
default:20
Required range: 1 <= x <= 100

Response

items
object[]
required
pagination
object
required